Create a custom property definition

​

Create a custom property definition for your organization.

Headers

  • Unique for seven days. Reuse with the same body returns the original response.

Body

required
application/json
  • values
    textnumberdatecheckboxactionfilehyperlink
  • values
    • solar-panel
    • inverter
    • battery
    • battery-expansion
    • roof
    • hvac
    • window
    • door
  • Integer numbers.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/external/v2/custom-properties
curl https://sales-api.artemis.solar/external/v2/custom-properties \
  --request POST \
  --header 'Idempotency-Key: custom-property-create-1' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_SECRET_TOKEN' \
  --data '{
  "name": "Roof Color",
  "fieldType": "text",
  "defaultValue": "Charcoal"
}'
Custom property definition created
{
  "data": {
    "id": "6c1f0c3e-2d8a-4b7e-9c11-8a4e1d2b7f90",
    "name": "Roof Color",
    "fieldType": "text",
    "defaultValue": "Charcoal",
    "description": "Exterior roof color selected by the homeowner",
    "customFieldCategoryId": null,
    "projectStageId": null,
    "ctaLabel": null,
    "linkUrl": null,
    "order": 1,
    "isRequired": false,
    "customActionsOptions": null,
    "linkedEquipmentCategories": [],
    "createdAt": "2026-09-05T12:00:00.000Z",
    "updatedAt": "2026-09-05T12:00:00.000Z"
  }
}